<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="sandstone.css">
    <link rel="stylesheet" href="clock.css">

    <script type="text/javascript" src="total.js"> </script>
    <script type="text/javascript" src="location.js"> </script>
    <script type="text/javascript" src="countdown_timer.js"> </script>
    <script type="text/javascript" src="user.js"> </script>
    <script type="text/javascript" src="category.js"> </script>
    <script type="text/javascript" src="handlers.js"> </script>
</head>

<body>
<title>HPTTS</title>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="index.html">HPTTS</a>
        <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="navbar-collapse collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="log_entry_input.html">New log entry</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="other_entities_input.html">New other entity</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="overview.html">Overview</a>
            </li>
        </ul>
        <a class="nav-link" href="login.html">Login</a>
        </div>
    </nav>
<div id="main_container" style="padding:50px; padding-top:30px">
    <h1> Overview </h1>
    <br>
    <h3> Users overview </h3>
    <div id="overview_users">
        <div class="bs-component">
            <table class="table table-hover table-success">
                <thead>
                <tr>
                    <th scope="col">User name</th>
                    <th scope="col">User email address</th>
                    <th scope="col">Total hours</th>
                </tr>
                </thead>
                <tbody id="overview_users_tbody">
                </tbody>
            </table>

        </div>
        <script> getUsers(fillOverviewUsers, alert); </script>
    </div>

    <br>
    <br>

    <h3> Category overview </h3>
    <div id="overview_categories">
        <div class="bs-component">
            <table class="table table-hover table-info">
                <thead>
                <tr>
                    <th scope="col">Category name</th>
                    <th scope="col">Category type</th>
                    <th scope="col">Total hours</th>
                </tr>
                </thead>
                <tbody id="overview_categories_tbody">
                </tbody>
            </table>
        </div>
        <script> getCategories(fillOverviewCategories, alert); </script>
    </div>
    <br>
    <br>
    <h3> Location overview </h3>
    <div id="overview_locations">
        <div class="bs-component">
            <table class="table table-hover table-warning">
                <thead>
                <tr>
                    <th scope="col">Location name</th>
                    <th scope="col">Total hours</th>
                </tr>
                </thead>
                <tbody id="overview_locations_tbody">
                </tbody>
            </table>
        </div>
        <script> getLocations(fillOverviewLocations, alert); </script>
    </div>
    <br>
    <br>
    <div>
        <h2>Countdown clock of doom</h2>
        <br>
        <br>
        <p id="countdown_clock" onload="showCountdown()"></p>
    </div>

</div>
</body>
</html>
